<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Database Connection</title>
</head>

<body>
<?php
error_reporting(E_ALL);  

require "NW_Credentials.php";
/*
The credentials file contains the variable 
$hostname
$database
$username
$password
*/ 

try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	//echo "<p>Database Connection OK.<p>";
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	//echo "Could not open database.";
	echo $e->getMessage();
	die();
}

$statement = $conn->prepare("SELECT * FROM suppliers");
$statement->execute();
print "<br /><br />";
print "<table border='1'>\n";
$count =0;
while ($row = $statement->fetch()){
	
	//headers
	if($count==0){
			foreach($row as $key=>$value){
		if(!is_numeric($key)){
			print "<td>";
			print $key;
			print "</td>";
		}
	}
	}
	print "<tr>";
	foreach($row as $key=>$value){
		if(!is_numeric($key)){
			print "<td>";
			print $value;
			print "</td>";
		}
	}
	print "\t</tr>\n";
	$count++;
}
print "</table>";
?>
</body>
</html>